import request from '@/utils/request'
	
/**
 * @Descripttion: 售后单记录表Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-08-29)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-08-29)
*/

// 售后单记录表分页查询列表
export function orderRefundList(query) {
  return request({
    url: '/business/OrderRefund/getOrderRefundList',
    method: 'get',
    params: query
  })
}

// 售后单记录详情查询列表
export function getOrderRefundDetails(query) {
  return request({
    url: '/business/OrderRefund/getOrderRefundDetails',
    method: 'get',
    params: query
  })
}

// 审核售后订单
export function auditOrderRefund(data) {
  return request({
    url: '/business/OrderRefund/auditOrderRefund',
    method: 'post',
    data: data,
  })
}


// 商家确认收货
export function confirmsReceipt(data) {
  return request({
    url: '/business/OrderRefund/confirmsReceipt',
    method: 'post',
    data: data,
  })
}

// 售后单记录表删除
export function delOrderRefund(ids) {
  return request({
    url: '/business/OrderRefund/'+ ids,
    method: 'delete'
  })
}

// 售后单记录表导出
export function exportOrderRefund(query) {
  return request({
    url: 'business/OrderRefund/exportOrderRefund',
    method: 'get',
    params: query
  })
}

